table:
  name: event_groups
  schema: public
array_relationships:
  - name: events
    using:
      foreign_key_constraint_on:
        column: event_group_id
        table:
          name: events
          schema: public
insert_permissions:
  - role: _event_admin
    permission:
      check: {}
      columns:
        - institution_teams_same_event
        - max_institution_teams_per_event
        - max_teams_per_event
        - name
        - id
select_permissions:
  - role: _event_admin
    permission:
      columns:
        - institution_teams_same_event
        - max_institution_teams_per_event
        - max_teams_per_event
        - name
        - id
      filter: {}
      allow_aggregations: true
  - role: anonymous
    permission:
      columns:
        - institution_teams_same_event
        - max_institution_teams_per_event
        - max_teams_per_event
        - name
        - id
      filter: {}
      allow_aggregations: true
update_permissions:
  - role: _event_admin
    permission:
      columns:
        - institution_teams_same_event
        - max_institution_teams_per_event
        - max_teams_per_event
        - name
        - id
      filter: {}
      check: {}
delete_permissions:
  - role: _event_admin
    permission:
      filter: {}
